;========================================================
; RLE picture displayer v1.5
; Decodes a RLE picture made by 
; 	Pic2RLE/Asm Toolbox/Image Studio
;
; written by David Phillips <david@acz.org>
; thanks to Clem Vasseur <darkclem@wanadoo.fr>
;	for some helpful hints, like LDI setting Parity Odd
; started: 8/19/98
; last update: 7/5/99
;
; input: HL = RLE encoded picture, DE = where to display
; output: decoded picture of size specified on first line
; destroys: AF, BC, DE, HL
; current size: 28 bytes
;========================================================
DispRLE:
 ld bc,1024
DispRLELoop:
 ld a,$91
 cp (hl)
 jr nz,DispRLENotRun
 inc hl
 inc hl
 ld a,(hl)
 dec hl
DispRLERun:
 ldi
 ret po
 dec hl
 dec a
 jr nz,DispRLERun
 inc hl
 inc hl
 jr DispRLELoop
DispRLENotRun:
 ldi
 ret po
 jr DispRLELoop

.end
